from installclass import BaseInstallClass
from rhpl.translate import N_
from constants import *
import os
import iutil

# custom installs are easy :-)
class InstallClass(BaseInstallClass):
    name = N_("Custom")
    pixmap = "custom.png"
    showMinimal = 1
    showLoginChoice = 1
    description = N_("Select this installation type to gain complete "
		     "control over the installation process, including "
		     "software package selection and authentication "
		     "preferences. Since this is the custom class you"
		     "will have to select the Fermi Selections if you"
		     "want them")
    sortPriority = 10000

    def setInstallData(self, id):
	BaseInstallClass.setInstallData(self, id)
#        BaseInstallClass.setDefaultPartitioning(self, id.partitions,
#                                               CLEARPART_TYPE_LINUX)
#CJS
	id.partitions.useAutopartitioning = 0
        autorequests = [ ("/", None, 3100, None, 0, 1) ]
        (minswap, maxswap) = iutil.swapSuggestion()
        autorequests.append((None, "swap", minswap, maxswap, 0, 1))

        self.setTimezoneInfo( id, "America/Chicago")

	self.setFirewall( id,  enable = 0, trusts = [], ports = "",
                    ssh = 0, telnet = 0, smtp = 0, http = 0, ftp = 0)

	self.setAuthentication( id , 
			        1 ,  # useShadow
			        1 ,  # useMD5
                                useKrb5 = 1 ,
                                krb5Realm = "FNAL.GOV",
                                krb5Kdc = "krb-fnal-1.fnal.gov:88,krb-fnal-2.fnal.gov:88,krb-fnal-3.fnal.gov:88,krb-fnal-4.fnal.gov:88,krb-fnal-5.fnal.gov:88",
                                krb5Admin = "krb-fnal-admin.fnal.gov",
                              )
#CJS end

    def __init__(self, expert):
	BaseInstallClass.__init__(self, expert)
